Subject: Re: CD-based distribution (was Another website....)
From: [email-masked] (Jeff Sturm)

16 Aug 1998 12:11:31 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

[email-masked] wrote:
> 
> Here's a summary of what seems to be the state of play, opinion-wise, with
> this at the moment.
> 
> 'BLUE SOCKS' GNU-WIN32 DISTRIBUTION:
> 
> o Uses InstallShield, or similar for inital installation. All installation
> including initial to be
>     *cleanly* undo-able.

Agreed.  As a corollary the installation should have a minimal impact on
the system configuration (no files in /windows or /windows/system32, one
program root directory, preferably no global environment changes,
etc.).    The registry should be used wherever possible, because that's
the "Windows" way of doing things...

> o Use RPM, or similar system, to install additional packages to bring
>     system up to 'developer' level.

I see four main groups of packages available today:

    - core packages (bash, fileutils, etc.)
    - development tools (make, gcc/egcs, libs)
    - inetutils (telnet, ftp, inetd, etc.)
    - X11 (xterm, rxvt, Lesstif, etc.)

I'd prefer to make the last three optional, but move the inet clients to
core (since they are small and useful) and rename inetutils to "network
servers".

Installation programs for Windows typically have options for minimal
install, full install, or custom.  Minimal can default to core packages
only, full installs everything, custom permits the user to select the
optional packages.

> o Base system to use Linux-like file system organisation. One root level, with
>     software installed in /bin, /sbin, /usr/sbin, /usr/bin, /usr/local/bin.

I'm planning to post a draft filesystem standard for discussion (soon,
really)...

> o System to comprise equivalent of current gnu-win32 CDK distribution with
> compilation
>     system replaced with C/C++/make from EGCS.
> o Manual pages, plus software to display them on console windows, (plus Xman?),
> to be
>     installed as standard.

The 'man' command should be included.  What about HTML, or (ick) Windows
..hlp files?

> o HowTo's available in standard package. Option given to load them at intial
> install, or load
>     them later.
> o Xwindows software, eg xterm, to be installed by default (make this easily
> removable/optional?).

I'd vote to make it an option.  The X11 package is fairly big and not
needed by many users.

> o Optional package list to be decided, but each system to have a binary package
> and it's
>     source equivalent available.
> o I suggest that the following (plus others) are included on the list of
> 'developer' packages:
>     Xemacs, Fortran compiler, Pascal compiler, Perl, Tcl/Tk, Graphics libraries
> - such as PNG, etc,
>     Expect(?). Networking tools (sendmail?).
> o GIMP v1.0 anyone?
> o Available in binary and source forms: NETPBM/PBMplus, GhostScript/Ghostview,
> XPaint,
>     Apache web server, ....

Well, there are far more packages available than I can personally
maintain.  Since this is a volunteer effort, I'd say lets start with an
ftp site once we have the core, and let users upload packages they'd
like to see in the distribution.

> o Distribution *must* work (OS capabilities permitting) on all Win32 platforms,
> i.e. Win95, Win98 and WinNT.

OK, but it should use WinNT's capabilities when possible.  (For
instance, I rely on 'ntea' at my site.)  The platform dependencies can
be handled by the install program.  Unfortunately I won't be able to
test Win95/98 since I have no access to either...

> o Minor versions, (eg 4.0.1) to be available on the web as patch packages to
> the major versions?
> 
> Let the arguments commence . . . .  :-)

Indeed.  Anyone out there think we should move this to a separate
mailing list?

-- 
Jeff Sturm
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".